### Function

# Fwupd Plugin array_from_variant

since: 1.5.0

#### Declaration [src]

    GPtrArray*
    fwupd_plugin_array_from_variant (
      GVariant* value
    )

#### Description [src]

Creates an array of new plugins using serialized data.

Available since: 1.5.0

#### Parameters

`value`

  Type: `GVariant`

  The serialized data.

  The data is owned by the caller of the function.

#### Return value

Type: An array of `None`

Plugins, or `NULL` if `value` was invalid.

The caller of the function takes ownership of the data container, but not the data inside it.